%DMAT	D_{phi,n} matrix
%
%	d=dmat(n,phi)
%	D=dmat(n,phi,1)

% 	Giuseppe Rodriguez,  23-04-03
% 	Email: rodriguez@unica.it

function d = dmat(n,phi,slow)

if nargin<3,  slow=0;  end

if phi == 0
	w = exp(pi*sqrt(-1)/n);
	d = w.^[0:n-1];
else
	d = nroots1(phi,n);
end

if slow,  d = diag(d);  end

